Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.covington
Class CovingtonAddressFunction

    java.lang.Object
      org.maltparser.core.feature.function.AddressFunction
          org.maltparser.parser.algorithm.covington.CovingtonAddressFunction

All Implemented Interfaces:
  Function

    public class CovingtonAddressFunction

extends AddressFunction

Author:
  Johan Hall

Nested Class Summary
`static class` | `CovingtonAddressFunction.CovingtonSubFunction`

Field Summary
`protected int` | `index`
`protected Algorithm` | `parsingAlgorithm`
`protected CovingtonAddressFunction.CovingtonSubFunction` | `subFunction`
`protected String` | `subFunctionName`

Fields inherited from class org.maltparser.core.feature.function.AddressFunction
`address`

Constructor Summary
`CovingtonAddressFunction(String subFunctionName, Algorithm parsingAlgorithm)`

Method Summary
`boolean` | `equals(Object obj)`
`AddressValue` | `getAddressValue()` Returns the address value of address function
`int` | `getIndex()`
`Class<?>[]` | `getParameterTypes()` Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.
`Algorithm` | `getParsingAlgorithm()`
`CovingtonAddressFunction.CovingtonSubFunction` | `getSubFunction()`
`String` | `getSubFunctionName()`
`void` | `initialize(Object[] arguments)` Initialize the feature function
`void` | `setAlgorithm(Algorithm parsingAlgorithm)`
`void` | `setIndex(int index)`
`void` | `setSubFunctionName(String subFunctionName)`
`String` | `toString()`
`void` | `update()` Cause the feature function to update the feature value.
`void` | `update(Object[] arguments)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subFunctionName

    protected String subFunctionName

### subFunction

    protected CovingtonAddressFunction.CovingtonSubFunction subFunction

### parsingAlgorithm

    protected Algorithm parsingAlgorithm

### index

    protected int index

Constructor Detail

### CovingtonAddressFunction

    public CovingtonAddressFunction(String subFunctionName,
                                    Algorithm parsingAlgorithm)

Method Detail

### initialize

    public void initialize(Object[] arguments)
                    throws MaltChainedException

  Description copied from interface: `Function`
  Initialize the feature function

  Parameters:
    `arguments` - an array of arguments with the type returned by getParameterTypes()
  Throws:
    `MaltChainedException`

### getParameterTypes

    public Class<?>[] getParameterTypes()

  Description copied from interface: `Function`
  Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.

  Returns:
    an array of class types

### update

    public void update()
                throws MaltChainedException

  Description copied from interface: `Function`
  Cause the feature function to update the feature value.

  Throws:
    `MaltChainedException`

### update

    public void update(Object[] arguments)
                throws MaltChainedException

  Specified by:
    `update` in class `AddressFunction`
  Throws:
    `MaltChainedException`

### getSubFunctionName

    public String getSubFunctionName()

### setSubFunctionName

    public void setSubFunctionName(String subFunctionName)

### getSubFunction

    public CovingtonAddressFunction.CovingtonSubFunction getSubFunction()

### getAddressValue

    public AddressValue getAddressValue()

  Description copied from class: `AddressFunction`
  Returns the address value of address function

  Overrides:
    `getAddressValue` in class `AddressFunction`
  Returns:
    the address value of address function

### getParsingAlgorithm

    public Algorithm getParsingAlgorithm()

### setAlgorithm

    public void setAlgorithm(Algorithm parsingAlgorithm)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `AddressFunction`

### toString

    public String toString()

  Overrides:
    `toString` in class `AddressFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.